Bug 1071212 - dnf doesn't skip unreadable repository files
dnf doesn't skip unreadable repository files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-28 04:48 EST by Vratislav Podzimek
Modified: 2014-09-30 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: dnf-0.4.19-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-25 04:13:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vratislav Podzimek 2014-02-28 04:48:21 EST
Description of problem:
If there is a .repo file with wrong permissions, dnf exits instead of skipping it when reading .repo files.

Version-Release number of selected component (if applicable):


How reproducible:
100 %

Steps to Reproduce:
1. make some .repo file readable only for the owner (root)
2. run 'dnf search foo' as a user different than root

Actual results:
dnf fails to search for the package

Expected results:
dnf searches for the package and just prints a warning

Additional info:
[vpodzime@vpodzime ~]$ yum search anaconda-addon
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
Skipping unreadable repository '///etc/yum.repos.d/SpiderOak-stable.repo'
======================================================= N/S matched: anaconda-addon ========================================================
oscap-anaconda-addon.noarch : Anaconda addon integrating OpenSCAP to the installation process

  Name and summary matches only, use "search all" for everything.
[vpodzime@vpodzime ~]$ dnf search anaconda-addon
Error: Error accessing file for config file://///etc/yum.repos.d/SpiderOak-stable.repo
Comment 1 Radek Holy 2014-02-28 05:41:11 EST
Hello, thank you for the report. We will take a look at it.
Comment 2 Ales Kozumplik 2014-03-10 10:17:35 EDT
related bug 809598.

Both behaviors are controversial but the skipping+warning maybe a bit less so let's go with that for now.
Comment 3 Ales Kozumplik 2014-03-12 03:33:41 EDT
Fixed upstream by beea722.
Comment 4 Fedora Update System 2014-03-17 05:45:43 EDT
dnf-0.4.18-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.18-1.fc20
Comment 5 Fedora Update System 2014-03-18 04:10:47 EDT
Package dnf-0.4.18-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.18-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3999/dnf-0.4.18-1.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-03-24 05:06:09 EDT
dnf-0.4.19-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.19-1.fc20
Comment 7 Fedora Update System 2014-03-25 04:13:49 EDT
dnf-0.4.19-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.